

#ifndef config
#define config

//configuration

#define MyGL_BACKGROUNDCOLOR_r 255
#define MyGL_BACKGROUNDCOLOR_g 255
#define MyGL_BACKGROUNDCOLOR_b 255

#define MyGL_SELECTIONCOLOR_r 0.3
#define MyGL_SELECTIONCOLOR_g 0.6
#define MyGL_SELECTIONCOLOR_b 0.9
#define MyGL_SELECTIONCOLOR_transparency 0.5

static const char* text_button_fopenbutton = "Open file ...";
static const char* text_label_fopenlabel = "No file opened.";
static const char* text_label_fopenedlabel = "File opened: \n";
static const char* text_title_mainwindow = "Melange";
static const char* text_label_checkboxselectionbox = "selection box";
static const char* text_label_noselectionidlabel = "No component selected. ";
static const char* text_label_selectionidlabel = "Selected component: ";
static const char* text_label_numbercomponentlabel = "Total components: ";
static const char* text_button_resetbuttonlabel = "Reset components";
static const char* text_label_configeditlabel = "New fold width: ";

static const double val_rect_start_width = 10;
static const double val_rect_start_height = 1;

namespace Config
{
	static double val_fold_startval_width = 0.05;
}

static const double val_fold_resizespeed_base = 0.01;
static const double val_fold_resizespeed_multiplier = 0.01;

static const double val_glwidget_init_trans_x = 0;
static const double val_glwidget_init_trans_y = 0;
static const double val_glwidget_init_trans_z = -20;

static char* text_status_statuslabel = "Status: \n";
static char* text_status_start = "Welcome! Open an image file.";
static char* text_status_initrect = "Image successfully loaded.";
static char* text_status_newfold = "Inserted new fold.";
static char* text_status_newfoldfail = "ERROR: Not enough space \nfor fold!";
static char* text_status_reset = "Reset to default \ncomponent.";
static char* text_status_resize = "Resizing fold ...";
static char* text_status_resizeerrorsizeedge = "ERROR: Can not resize\nfold any further!\nEdge reached!";
static char* text_status_resizeerrorsizeneighbour = "ERROR: Can not resize\nfold any further!\nNo more space!";
static char* text_status_deletefold = "Fold removed.";



//system

static const int sys_arrayinit = 2048;

#endif