#ifndef _VERTEX
#define _VERTEX


enum VertexType{
	LEFT_BORDER,
	RIGHT_BORDER,
	PLANAR,
	DISPLACED
};

class Vertex{

public:
	Vertex(double x, double y, double z, VertexType t){
		position[0]=x;
		position[1]=y;
		position[2]=z;

		texCoord[0]=x;
		texCoord[1]=y;

		type=t;
	}

	double position[3];
	double texCoord[2];

	VertexType type;
};

#endif