#include "componentPlane.h"

void componentPlane::startUp(MyRect boundingBox, MyRect texBoundingBox)
{
	vertices.push_back(Vertex(boundingBox.left, boundingBox.top, 0.0, LEFT_BORDER)); //top left
	vertices.push_back(Vertex(boundingBox.left, boundingBox.bottom, 0.0, LEFT_BORDER));	//bottom left
	vertices.push_back(Vertex(boundingBox.right, boundingBox.top, 0.0, RIGHT_BORDER)); //top right
	vertices.push_back(Vertex(boundingBox.right, boundingBox.bottom, 0.0, RIGHT_BORDER)); //bottom right

	myBoundingBox.left = boundingBox.left;
	myBoundingBox.top = boundingBox.top;
	myBoundingBox.right = boundingBox.right;
	myBoundingBox.bottom = boundingBox.bottom;

	myTextureBoundingBox.left = boundingBox.left;
	myTextureBoundingBox.top = boundingBox.top;
	myTextureBoundingBox.right = boundingBox.right;
	myTextureBoundingBox.bottom = boundingBox.bottom;

	updateTexCoords(myTextureBoundingBox);
}

componentPlane::componentPlane(int _id) : rectComponent(_id,OURPLANE)
{
}

void componentPlane::setExplicitTexCoord(double left,double right)
{
	std::list<Vertex>::iterator it = vertices.begin();

	it->texCoord[0] = left;

	it++;

	it->texCoord[0] = left;

	it++;

	it->texCoord[0] = right;

	it++;

	it->texCoord[0] = right;
}